package com.yida.data.common.core.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 微信退款状态枚举
 *
 * @author ZYJ
 * @date 2022/4/18
 */
@Getter
@AllArgsConstructor
public enum WxRefundStatusEnum {

    /**
     * 退款状态枚举
     * SUCCESS：退款成功
     * CLOSED：退款关闭
     * PROCESSING：退款处理中
     * ABNORMAL：退款异常
     */
    REFUND_SUCCESS("SUCCESS", "退款成功"),
    REFUND_CLOSED("CLOSED", "退款关闭"),
    REFUND_PROCESSING("PROCESSING", "退款处理中"),
    REFUND_ABNORMAL("ABNORMAL", "退款异常");

    /**
     * 状态值
     */
    private final String status;

    /**
     * 描述
     */
    private final String message;
}
